E-MailRelay

Classes | Namespaces | Functions
gslot.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gassert.h"`
`#include <functional>`
`#include <memory>`
Include dependency graph for gslot.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | G::Slot::Binder< T, Args >
| A functor class template that contains the target object pointer and method pointer, similar to c++20 bind_front(&T::fn,tp). More...
struct | G::Slot::Slot< Args >
| A slot class template that is parameterised only on the target method's signature (with an implicit void return) and not on the target class. More...
struct | G::Slot::Signal< SlotArgs >
| A slot holder, with connect() and emit() methods. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | G::Slot
| A callback mechanism that isolates event sinks from event sources.

## Functions
template<typename TSink , typename... Args>
Slot< Args... > | G::Slot::slot (TSink &sink, void(TSink::*method)(Args...))
| A factory function for Slot objects. More...